<?php

namespace App\Http\Requests;

use App\Kunjungan;
use Gate;
use Illuminate\Foundation\Http\FormRequest;

class MassDestroyKunjunganRequest extends FormRequest
{
    public function authorize()
    {
        return abort_if(Gate::denies('kunjungan_delete'), 403, '403 Forbidden') ?? true;
    }

    public function rules()
    {
        return [
            'ids'   => 'required|array',
            'ids.*' => 'exists:kunjungans,id',
        ];
    }
}
